Page MenuHomePhabricator

1.39.0-wmf.21 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
jnuche
Release Version
1.39.0-wmf.21
Release Date
Jul 18 2022, 12:00 AM

2022 week 29 1.39-wmf.21 Changes wmf/1.39.0-wmf.21

This MediaWiki Train Deployment is scheduled for the week of Monday, July 18th:

Monday July 18thTuesday, July 19thWednesday, July 20thThursday, July 21stFriday
Backports only.Branch wmf.21 and deploy to Group 0 Wikis.Deploy wmf.21 to Group 1 Wikis.Deploy wmf.21 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.21 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.39.0-wmf.20
Next: 1.39.0-wmf.22

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: dancy.
thcipriani set the point value for this task to 5.

See T305093#8063451 - autogenerated LocalSettings.php included a empty string for $wgLocaltimezone by default. With https://gerrit.wikimedia.org/r/c/mediawiki/core/+/785387 it throws a PHP error if set to the empty string.

@Dreamy_Jazz This task represents the current weekly production deployment of MediaWiki to Wikipedia.org and other WMF wikis. Afaik this does not relate to WMF deployments, does it?

For example, in wmf-config we set:

'wgLocaltimezone' => [
	'default' => 'UTC',

I wasn't sure if $wgLocaltimezone was always set on WMF wikis, but if it is then that shouldn't be an issue here.

Risky Patch! 🚂🔥

The above task has a patch and I've coordinated on IRC to get the fix deployed for this within the next few mins (just waiting for jenkins to run tests).

dom_walden added a subscriber: dom_walden.

I have raised T313220 as a blocking task. It could lead to more exceptions on production and it will prevent users from importing article.

Mentioned in SAL (#wikimedia-operations) [2022-07-19T16:14:56Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.21 refs T308074

Mentioned in SAL (#wikimedia-operations) [2022-07-19T16:23:24Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.21 refs T308074

Change 815326 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815326

Change 815326 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815326

Mentioned in SAL (#wikimedia-operations) [2022-07-19T16:28:22Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.21 refs T308074

Mentioned in SAL (#wikimedia-operations) [2022-07-19T17:46:54Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.21 refs T308074

Vector 2022 layout changes (T312241)

Just a note to the train conductor for this week: We will be making some technical changes to Vector 2022 skin which impact layout. Will not impact any other skin. These are being done by config change, so this will not need to block or stop the train in any circumstance.

Mentioned in SAL (#wikimedia-operations) [2022-07-19T17:51:19Z] <jhuneidi@deploy1002> Finished scap: testwikis wikis to 1.39.0-wmf.21 refs T308074 (duration: 04m 24s)

Mentioned in SAL (#wikimedia-operations) [2022-07-19T18:08:27Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.21 refs T308074

Change 815344 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815344

Change 815344 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815344

Change 815372 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] Revert "group0 wikis to 1.39.0-wmf.21"

https://gerrit.wikimedia.org/r/815372

Change 815372 merged by jenkins-bot:

[operations/mediawiki-config@master] Revert "group0 wikis to 1.39.0-wmf.21"

https://gerrit.wikimedia.org/r/815372

Change 815383 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815383

Change 815383 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815383

Mentioned in SAL (#wikimedia-operations) [2022-07-19T21:32:12Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.21 refs T308074

Mentioned in SAL (#wikimedia-operations) [2022-07-19T21:36:14Z] <jhuneidi@deploy1002> Finished scap: testwikis wikis to 1.39.0-wmf.21 refs T308074 (duration: 04m 02s)

Change 815384 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815384

Change 815384 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815384

Mentioned in SAL (#wikimedia-operations) [2022-07-19T21:45:36Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.21 refs T308074

Seeing an increased rate of warnings on the "session" channel since deployment:

Metadata merge failed: MediaWiki\\Session\\MetadataMergeException: Key \"rights\" changed in /srv/mediawiki/php-1.39.0-wmf.21/includes/session/SessionProvider.php:331
Stack trace:
#0 /srv/mediawiki/php-1.39.0-wmf.21/includes/session/SessionManager.php(678): MediaWiki\\Session\\SessionProvider->mergeMetadata(Array, Array)
#1 /srv/mediawiki/php-1.39.0-wmf.21/includes/session/SessionManager.php(546): MediaWiki\\Session\\SessionManager->loadSessionInfoFromStore(Object(MediaWiki\\Session\\SessionInfo), Object(WebRequest))
#2 /srv/mediawiki/php-1.39.0-wmf.21/includes/session/SessionManager.php(248): MediaWiki\\Session\\SessionManager->getSessionInfoForRequest(Object(WebRequest))
#3 /srv/mediawiki/php-1.39.0-wmf.21/includes/WebRequest.php(842): MediaWiki\\Session\\SessionManager->getSessionForRequest(Object(WebRequest))
#4 /srv/mediawiki/php-1.39.0-wmf.21/includes/session/SessionManager.php(169): WebRequest->getSession()
#5 /srv/mediawiki/php-1.39.0-wmf.21/includes/Setup.php(448): MediaWiki\\Session\\SessionManager::getGlobalSession()
#6 /srv/mediawiki/php-1.39.0-wmf.21/includes/WebStart.php(86): require_once('/srv/mediawiki/...')
#7 /srv/mediawiki/php-1.39.0-wmf.21/api.php(43): require('/srv/mediawiki/...')
#8 /srv/mediawiki/w/api.php(3): require('/srv/mediawiki/...')
#9 {main}

Note: these warnings are in the dlq-* indexes will not show up in the default logstash-* indexes. There is a type conflict with CentralAuth over the new_value key.

Change 815775 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815775

Change 815775 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815775

Mentioned in SAL (#wikimedia-operations) [2022-07-20T18:12:57Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.39.0-wmf.21 refs T308074

Mentioned in SAL (#wikimedia-operations) [2022-07-20T18:16:05Z] <jhuneidi@deploy1002> Synchronized php: group1 wikis to 1.39.0-wmf.21 refs T308074 (duration: 03m 07s)

Change 815792 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] Revert "group1 wikis to 1.39.0-wmf.21"

https://gerrit.wikimedia.org/r/815792

Change 815792 merged by jenkins-bot:

[operations/mediawiki-config@master] Revert "group1 wikis to 1.39.0-wmf.19"

https://gerrit.wikimedia.org/r/815792

Change 815793 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815793

Change 815793 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/815793

Mentioned in SAL (#wikimedia-operations) [2022-07-20T19:42:07Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.39.0-wmf.21 refs T308074

Mentioned in SAL (#wikimedia-operations) [2022-07-20T19:45:00Z] <jhuneidi@deploy1002> Synchronized php: group1 wikis to 1.39.0-wmf.21 refs T308074 (duration: 02m 53s)

Change 816024 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/816024

Change 816024 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.21

https://gerrit.wikimedia.org/r/816024

Mentioned in SAL (#wikimedia-operations) [2022-07-21T18:07:12Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.39.0-wmf.21 refs T308074

Mentioned in SAL (#wikimedia-operations) [2022-07-25T21:20:50Z] <brennen> running a no-op sync-world for T313770 to hopefully get 1.39.0-wmf.21 (T308074) to all servers.